/// class PD.Manage.Modules.ReportCreateDialogCommand

PD.Manage.Modules.ReportCreateDialogCommand =
PD.Commands.Command.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    setDefaults: function () {
        this.props("id", "report/create-dialog");
        this.props("enabled", true);
        this.props("icon", PD.Path.to16x16("plus.png"));
        this.props("label", "New");
        this.props("tooltip", "Create a new Report.");
        this.state("report", null);
    },

    execute: function (e) {
        this._super(e);
        this._openDialog();
    },

    //===================================
    // PRIVATE METHODS
    //===================================

    _openDialog: function () {

        PDJS.Shared.Features.FeatureDialogForNhib.open({
            title: "New Report",
            args: {
                targetType: "ProspectDirector.Web.Manage.Modules.Reports.ReportUIO",
                arbiterType: "ProspectDirector.Web.Manage.Modules.Reports.ReportArbiter"
            },
            callbacks: {
                "ok": (sender, e) => {

                    PD.context
                        .get_default()
                        .get_events()
                        .publish("report/create", {
                            id: e.target.id
                        });

                }
            }
        }, {
            height: 550,
            width: 500,
        });

    }

});